#pragma once


#ifdef HZ_PLATFORM_WINDOWS


extern Hazel::Application* Hazel::CreateApplication();


int main(int, char**) {
	Hazel::Log::init();

	HZ_PROFILE_BEGIN_SESSION("Start", "Start.json");
	const auto app = Hazel::CreateApplication();
	HZ_PROFILE_END_SESSION();

	HZ_PROFILE_BEGIN_SESSION("Update", "Update.json");
	app->Run();
	HZ_PROFILE_END_SESSION();


	HZ_PROFILE_BEGIN_SESSION("End", "End.json");
	delete app;
	HZ_PROFILE_END_SESSION();
}

#endif // HZ_PLATFORM_WINDOWS

